shishi_krberror_message(3)

NAME
shishi_krberror_message - API function

SYNOPSIS
#include <shishi.h>

const char * shishi_krberror_message(Shishi * handle, Shishi_asn1 krberror);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 krberror
    KRB-ERROR structure with error code.

DESCRIPTION
Extract error code (see shishi_krberror_errorcode_fast()) and return error message (see shishi_krberror_errorcode_message()).

RETURN VALUE
Return a string describing error code. This function will always return a string even if the error code isn't known.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.